<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
layout:decorate="~{layouts/application.html}">

<head>
  <title>Create</title>
</head>
<section layout:fragment="content">
  <h1>Create new article</h1>
  <form action="/articles" method="post">
    <div class="mb-3">
      <label>Name</label>
      <input class="form-control" type="text" name="title">
    </div>
    <div class="mb-3">
      <label>Body</label>
      <textarea class="form-control" rows="20" cols="80" type="text" name="body"></textarea>
    </div>
    <div class="mb-3">
      <select class="form-control" name="categoryId">
      <option th:each="category : ${categories}" th:value="${category.id}" th:text="${category.name}"></option>
      </select>
    </div>
    <button class="btn btn-primary" type="submit">Create</button>
  </form>
</section>
